import * as React from 'react';
import {
    Step,
    Stepper,
    StepLabel,
} from 'material-ui/Stepper';
import RaisedButton from 'material-ui/RaisedButton';
import FlatButton from 'material-ui/FlatButton';

import { TargetSelector } from './TargetSelector';
import { CrawlerSelector } from './CrawlerSelector';
import { ItemSelector } from './ItemSelector';

export class SensorConfig extends React.Component<any, any> {

    constructor(props: any, context: any) {
        super(props, context)
        this.state = {
            finished: false,
            stepIndex: 0,
            selectedTarget: 0,
            selectedSensors: []
        };
    }


    handleNext = () => {
        if (this.state.selectedTarget == 0) {
            alert("Choose a target.");
            return;
        }
        const { stepIndex } = this.state;
        this.setState({
            stepIndex: stepIndex + 1,
            finished: stepIndex >= 2,
        });

    };

    handlePrev = () => {
        const { stepIndex } = this.state;
        if (stepIndex > 0) {
            this.setState({ stepIndex: stepIndex - 1, selectedTarget: 0 });
        }
    };

    handleStep1Change(idx: any) {
        this.setState({
            selectedTarget: idx
        });
    }

    handleStep2Change(idx: any) {
        alert("aa");
    }

    getStepContent(stepIndex: any) {
        switch (stepIndex) {
            case 0:
                return <TargetSelector onChange={this.handleStep1Change.bind(this)} />;
            case 1:
                return <CrawlerSelector onChange={this.handleStep2Change.bind(this)}/>;
            case 2:
                return null;
            default:
                return 'errrrrrr';
        }
    }

    render() {
        return (
                <div style={{ width: '100%', maxWidth: 900, margin: 'auto' }}>
                    <Stepper activeStep={this.state.stepIndex}>
                        <Step>
                            <StepLabel>STEP 1</StepLabel>
                        </Step>
                        <Step>
                            <StepLabel>STEP 2</StepLabel>
                        </Step>
                        <Step>
                            <StepLabel>STEP 3</StepLabel>
                        </Step>
                    </Stepper>
                    <div>
                        {this.state.finished ? (
                            <p>
                                <a
                                    href="#"
                                    onClick={(event) => {
                                        event.preventDefault();
                                        this.setState({ stepIndex: 0, finished: false });
                                    }}
                                >
                                    Click here
                            </a> to reset the example.
                            </p>
                        ) : (
                                <div>
                                    {this.getStepContent(this.state.stepIndex)}
                                    <div style={{ marginTop: 12, marginBottom: 15, float: 'right' }}>
                                        <FlatButton
                                            label="Back"
                                            disabled={this.state.stepIndex === 0}
                                            onTouchTap={this.handlePrev}
                                            style={{ marginRight: 12 }}
                                        />
                                        <RaisedButton
                                            label={this.state.stepIndex === 2 ? 'Finish' : 'Next'}
                                            primary={true}
                                            onTouchTap={this.handleNext}
                                        />
                                    </div>
                                </div>
                            )}
                    </div>
                </div>
        );
    }
}