import * as React from 'react';
import { Button } from 'semantic-ui-react';
import { Probes } from './Probes';
import { NoauthProbes } from './NoauthProbes';
import { SensorConfiguration } from './SensorConfiguration';
import { Targets } from './Targets';

import Tab, { TabProps } from 'semantic-ui-react/dist/commonjs/modules/Tab';


export class Components extends React.Component<any, any> {

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {
      no: 0,
    };
  }

  handleButton(n: number): void {
    this.setState({
      no: n,
    });
  }

  render() {

    const panes = [
      { menuItem: 'Probes', render: () => <Tab.Pane attached={false}><Probes /></Tab.Pane> },
      { menuItem: 'Noauth Probes', render: () => <Tab.Pane attached={false}><NoauthProbes /></Tab.Pane> },
      { menuItem: 'Sensor Configuration', render: () => <Tab.Pane attached={false}><SensorConfiguration /></Tab.Pane> },
      { menuItem: 'Targets', render: () => <Tab.Pane attached={false}><Targets /></Tab.Pane> },
    ];

    return (
      <Tab menu={{ pointing: true }} panes={panes} />
    );
  }
}



